Subject: [httpwg/http-extensions] Combining headers and list length (#437)

From: HTTP issue updates <[email-masked]>
Date: Tue, 28 Nov 2017 02:14:48 +0000 (UTC)

>From Alex R on list:

I understand the desire to limit this specification to parsing a single
header field or equivalent, leaving the Pandora box of combining
same-name fields closed. However, this honorable approach complicates
placing interoperability limits on the number of list members: An
application that parses individual fields (and possibly never combines
the results!) may not hit the limit that an application combining raw
value strings before parsing would hit.

IMHO, we should explicitly say something (conservative) about this
problem so that header generators know how the limits may be applied.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/httpwg/http-extensions/issues/437